Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class GenericRequestWrapper

    java.lang.Object
      com.plumtree.remote.portlet.GenericRequestWrapper

All Implemented Interfaces:
  IGenericRequest

public class GenericRequestWrapper
extends java.lang.Object
implements IGenericRequest

Constructor Summary
`GenericRequestWrapper(com.plumtree.remote.portlet.xp.IXPGenericRequest wrappedInterface)`

Method Summary
`java.lang.String` | `getLoginToken()` Returns the user’s login token from the request.
`java.net.URL` | `getRemoteAPIEndpoint()` Returns the remote API endpoint from the portal request.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericRequestWrapper

    public GenericRequestWrapper(com.plumtree.remote.portlet.xp.IXPGenericRequest wrappedInterface)

Method Detail

### toString

    public java.lang.String toString()

### getLoginToken

    public java.lang.String getLoginToken()
                                   throws NotInRequestException

  Description copied from interface: `IGenericRequest`
  Returns the user’s login token from the request. The login token can be used to access the portal as the current user. To instantiate an `IRemoteSession` object, use `IPortletContext.getRemotePortalSession()`. Note: The login token is new functionality in portal version 5.0; this method throws `ProtocolNotSupportedException` when used with any prior version of the portal.

  Specified by:
    `getLoginToken` in interface `IGenericRequest`
  Returns:
    the login token
  Throws:
    `NotInRequestException` - if the administrator has not configured the portal to send the login token to this portlet

### getRemoteAPIEndpoint

    public java.net.URL getRemoteAPIEndpoint()

  Description copied from interface: `IGenericRequest`
  Returns the remote API endpoint from the portal request. The remote API endpoint can be used to access the portal's remote SOAP API. To instantiate an `IRemoteSession` object, use `IPortletContext.getRemotePortalSession()`. Note: The remote API endpoint is new functionality in portal version 5.0; this method throws `ProtocolNotSupportedException` when used with any prior version of the portal.

  Specified by:
    `getRemoteAPIEndpoint` in interface `IGenericRequest`
  Returns:
    the remote API endpoint or null if the portlet is run as a job

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.